Debian Bug report logs - #634797
opencv 2.3 transition

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>

Date: Tue, 19 Jul 2011 23:45:01 UTC

Severity: normal

Done: Cyril Brulebois <kibi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#634797; Package release.debian.org. (Tue, 19 Jul 2011 23:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nobuhiro Iwamatsu <iwamatsu@nigauri.org>:
New Bug report received and forwarded. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 19 Jul 2011 23:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: opencv 2.3 transition
Date: Wed, 20 Jul 2011 08:39:41 +0900
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: transition

Hi,

I plan to up-load opencv 2.3 to unstable.
Because soname changes, a re-build is needed in the depending package.

The following packages depend on opencv.
Some packages can not build with opencv 2.3. I have already sent the
bug report and the patch to correct it.

- auto-multiple-choice / FTBFS with opencv 2.3.#634795
- freecad / Build OK
- freej / FTBFS:  #631822
- frei0r /FTBFS but this problem is corrected in the package up-loaded
to mentor.debian.net.
- gmic
  libjpeg8-dev: Conflicts: libjpeg62-dev but 6b1-2 is to be installed.
  blocked #629966
- kipi-plugins / Build OK
- lush / Build OK
- mrpt / FTBFS #625075
- player / Build OK
- sikuli / Build OK
- sivp /  FTBFS with opencv 2.3. #634796

Please let me know when I can start the transition of opencv 2.3.

Best regards,
  Nobuhiro

-- 
Nobuhiro Iwamatsu
   iwamatsu at {nigauri.org / debian.org}
   GPG ID: 40AD1FA6




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#634797; Package release.debian.org. (Wed, 20 Jul 2011 05:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Reinhard Tartler <siretart@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 20 Jul 2011 05:33:03 GMT) Full text and rfc822 format available.

Message #10 received at 634797@bugs.debian.org (full text, mbox):

From: Reinhard Tartler <siretart@debian.org>
To: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
Cc: 634797@bugs.debian.org, debian-release@lists.debian.org
Subject: Re: Bug#634797: opencv 2.3 transition
Date: Wed, 20 Jul 2011 07:27:44 +0200
On Wed, Jul 20, 2011 at 01:39:41 (CEST), Nobuhiro Iwamatsu wrote:

> I plan to up-load opencv 2.3 to unstable.

I'm not a release manager, but the Libav maintainer in Debian. Still,
could you please consider including the patch from #634818 before
uploading to unstable? I'm confident that the #ifdef version checks are
a bit too strict and that the patch should also work with some minor
adjustments with Libav 0.6 currently in wheezy.

Let me know if you experience any trouble.

Cheers,

-- 
Gruesse/greetings,
Reinhard Tartler, KeyID 945348A4




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#634797; Package release.debian.org. (Thu, 21 Jul 2011 00:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nobuhiro Iwamatsu <iwamatsu@nigauri.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 21 Jul 2011 00:15:05 GMT) Full text and rfc822 format available.

Message #15 received at 634797@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
To: Reinhard Tartler <siretart@debian.org>
Cc: 634797@bugs.debian.org, debian-release@lists.debian.org
Subject: Re: Bug#634797: opencv 2.3 transition
Date: Thu, 21 Jul 2011 09:12:35 +0900
Hi,

2011/7/20 Reinhard Tartler <siretart@debian.org>:
> On Wed, Jul 20, 2011 at 01:39:41 (CEST), Nobuhiro Iwamatsu wrote:
>
>> I plan to up-load opencv 2.3 to unstable.
>
> I'm not a release manager, but the Libav maintainer in Debian. Still,
> could you please consider including the patch from #634818 before
> uploading to unstable? I'm confident that the #ifdef version checks are
> a bit too strict and that the patch should also work with some minor
> adjustments with Libav 0.6 currently in wheezy.
>
> Let me know if you experience any trouble.
>

OK, I will see this BTS and upload.
Thank you!

Best regards,
  Nobuhiro

-- 
Nobuhiro Iwamatsu
   iwamatsu at {nigauri.org / debian.org}
   GPG ID: 40AD1FA6




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#634797; Package release.debian.org. (Thu, 28 Jul 2011 09:19:42 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nobuhiro Iwamatsu <iwamatsu@nigauri.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 28 Jul 2011 09:19:43 GMT) Full text and rfc822 format available.

Message #20 received at 634797@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
To: Reinhard Tartler <siretart@debian.org>
Cc: 634797@bugs.debian.org, debian-release@lists.debian.org
Subject: Re: Bug#634797: opencv 2.3 transition
Date: Thu, 28 Jul 2011 18:14:13 +0900
Hi,

I uploaded opencv 2.3 with your provided patch to experimental.

Best regards,
  Nobuhiro


2011/7/21 Nobuhiro Iwamatsu <iwamatsu@nigauri.org>:
> Hi,
>
> 2011/7/20 Reinhard Tartler <siretart@debian.org>:
>> On Wed, Jul 20, 2011 at 01:39:41 (CEST), Nobuhiro Iwamatsu wrote:
>>
>>> I plan to up-load opencv 2.3 to unstable.
>>
>> I'm not a release manager, but the Libav maintainer in Debian. Still,
>> could you please consider including the patch from #634818 before
>> uploading to unstable? I'm confident that the #ifdef version checks are
>> a bit too strict and that the patch should also work with some minor
>> adjustments with Libav 0.6 currently in wheezy.
>>
>> Let me know if you experience any trouble.
>>
>
> OK, I will see this BTS and upload.
> Thank you!
>
> Best regards,
>  Nobuhiro
>
> --
> Nobuhiro Iwamatsu
>    iwamatsu at {nigauri.org / debian.org}
>    GPG ID: 40AD1FA6
>



-- 
Nobuhiro Iwamatsu
   iwamatsu at {nigauri.org / debian.org}
   GPG ID: 40AD1FA6




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#634797; Package release.debian.org. (Fri, 29 Jul 2011 10:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nobuhiro Iwamatsu <iwamatsu@nigauri.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 29 Jul 2011 10:39:10 GMT) Full text and rfc822 format available.

Message #25 received at 634797@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
To: debian-release@lists.debian.org
Cc: 634797@bugs.debian.org
Subject: Re: opencv 2.3 transition
Date: Fri, 29 Jul 2011 00:35:10 +0900
Hi,

I update status of opencv2.3 transition.

On Wed, Jul 20, 2011 at 08:39:41AM +0900, Nobuhiro Iwamatsu wrote:
> - freecad / Build OK
> - freej / FTBFS:  #631822
> - frei0r /FTBFS but this problem is corrected in the package up-loaded
> to mentor.debian.net.
> - gmic
>   libjpeg8-dev: Conflicts: libjpeg62-dev but 6b1-2 is to be installed.
>   blocked #629966
> - kipi-plugins / Build OK
> - lush / Build OK
> - mrpt / FTBFS #625075
	Fix FTBFS and support building with opencv 2.3.
	Thanks for Jose Luis Blanco!

> - player / Build OK
> - sikuli / Build OK
> - sivp /  FTBFS with opencv 2.3. #634796
> 

Best regards,
  Nobuhiro




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#634797; Package release.debian.org. (Fri, 05 Aug 2011 03:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nobuhiro Iwamatsu <iwamatsu@nigauri.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 05 Aug 2011 03:09:04 GMT) Full text and rfc822 format available.

Message #30 received at 634797@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
To: debian-release@lists.debian.org
Cc: 634797@bugs.debian.org
Subject: Re: opencv 2.3 transition
Date: Fri, 5 Aug 2011 12:06:00 +0900
Hi, debian release team.

Is there any progress about this?

Best regards,
  Nobuhiro

2011/7/29 Nobuhiro Iwamatsu <iwamatsu@nigauri.org>:
> Hi,
>
> I update status of opencv2.3 transition.
>
> On Wed, Jul 20, 2011 at 08:39:41AM +0900, Nobuhiro Iwamatsu wrote:
>> - freecad / Build OK
>> - freej / FTBFS:  #631822
>> - frei0r /FTBFS but this problem is corrected in the package up-loaded
>> to mentor.debian.net.
>> - gmic
>>   libjpeg8-dev: Conflicts: libjpeg62-dev but 6b1-2 is to be installed.
>>   blocked #629966
>> - kipi-plugins / Build OK
>> - lush / Build OK
>> - mrpt / FTBFS #625075
>        Fix FTBFS and support building with opencv 2.3.
>        Thanks for Jose Luis Blanco!
>
>> - player / Build OK
>> - sikuli / Build OK
>> - sivp /  FTBFS with opencv 2.3. #634796
>>
>
> Best regards,
>  Nobuhiro
>



-- 
Nobuhiro Iwamatsu
   iwamatsu at {nigauri.org / debian.org}
   GPG ID: 40AD1FA6




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#634797; Package release.debian.org. (Thu, 18 Aug 2011 18:21:04 GMT) Full text and rfc822 format available.

Message #33 received at 634797@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
Cc: debian-release@lists.debian.org
Subject: Re: opencv 2.3 transition
Date: Thu, 18 Aug 2011 20:17:27 +0200
[Message part 1 (text/plain, inline)]
On Thu, Aug 18, 2011 at 10:57:23PM +0900, Nobuhiro Iwamatsu wrote:
> ping....

We don't forget open bugs, be assured of that.  We try to process them FIFO,
but might tackle little ones in-between, if they don't conflict.  Somebody will
eventually tend to it.

I'm sorry about the delay, it's a man-power problem and one of other
maintainers not following the rules, for which you should not be punished
neither.

So we are talking about packages build-depending on either one of
(libcv-dev|libcvaux-dev|libhighgui-dev) which need to move from *2.1 to *2.3?

Can you re-collect the current state?  You only need to consider packages that
are currently in testing from our PoV, maybe that reduces your list of buggy
packages.

Kind regards and thanks,
Philipp Kern
-- 
 .''`.  Philipp Kern                        Debian Developer
: :' :  http://philkern.de                         Stable Release Manager
`. `'   xmpp:phil@0x539.de                         Wanna-Build Admin
  `-    finger pkern/key@db.debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#634797; Package release.debian.org. (Mon, 21 Nov 2011 23:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 21 Nov 2011 23:21:04 GMT) Full text and rfc822 format available.

Message #38 received at 634797@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>, 634797@bugs.debian.org
Subject: Re: Bug#634797: opencv 2.3 transition
Date: Tue, 22 Nov 2011 00:18:45 +0100
On Wed, Jul 20, 2011 at 08:39:41 +0900, Nobuhiro Iwamatsu wrote:

> Please let me know when I can start the transition of opencv 2.3.
> 
Sorry for the delay.  Please go ahead.

Cheers,
Julien




Added blocking bug(s) of 634797: 631822 and 634796 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Mon, 21 Nov 2011 23:21:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#634797; Package release.debian.org. (Sun, 04 Dec 2011 18:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 04 Dec 2011 18:57:05 GMT) Full text and rfc822 format available.

Message #45 received at 634797@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>, 634797@bugs.debian.org
Subject: Re: Bug#634797: opencv 2.3 transition
Date: Sun, 4 Dec 2011 19:54:41 +0100
On Tue, Nov 22, 2011 at 00:18:45 +0100, Julien Cristau wrote:

> On Wed, Jul 20, 2011 at 08:39:41 +0900, Nobuhiro Iwamatsu wrote:
> 
> > Please let me know when I can start the transition of opencv 2.3.
> > 
> Sorry for the delay.  Please go ahead.
> 
Ping?

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#634797; Package release.debian.org. (Mon, 12 Dec 2011 04:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nobuhiro Iwamatsu <iwamatsu@nigauri.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 12 Dec 2011 04:54:03 GMT) Full text and rfc822 format available.

Message #50 received at 634797@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
To: Julien Cristau <jcristau@debian.org>
Cc: 634797@bugs.debian.org
Subject: Re: Bug#634797: opencv 2.3 transition
Date: Mon, 12 Dec 2011 13:49:48 +0900
Hi,

I just upload.
Sorry, reply was late.

Best regards,
  Nobuhiro

2011/12/5 Julien Cristau <jcristau@debian.org>:
> On Tue, Nov 22, 2011 at 00:18:45 +0100, Julien Cristau wrote:
>
>> On Wed, Jul 20, 2011 at 08:39:41 +0900, Nobuhiro Iwamatsu wrote:
>>
>> > Please let me know when I can start the transition of opencv 2.3.
>> >
>> Sorry for the delay.  Please go ahead.
>>
> Ping?
>
> Cheers,
> Julien



-- 
Nobuhiro Iwamatsu
   iwamatsu at {nigauri.org / debian.org}
   GPG ID: 40AD1FA6




Added tag(s) pending. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Mon, 12 Dec 2011 19:45:07 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 634797: 651872 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Mon, 12 Dec 2011 19:45:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#634797; Package release.debian.org. (Tue, 20 Dec 2011 16:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bernd Zeimetz <bzed@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 20 Dec 2011 16:45:04 GMT) Full text and rfc822 format available.

Message #59 received at 634797@bugs.debian.org (full text, mbox):

From: Bernd Zeimetz <bzed@debian.org>
To: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>, 634797@bugs.debian.org
Cc: Julien Cristau <jcristau@debian.org>
Subject: Re: Bug#634797: opencv 2.3 transition
Date: Tue, 20 Dec 2011 17:42:04 +0100
Hi,

> I just upload.
> Sorry, reply was late.

I'm just wondering if you've tried to build the
build-reverse-dependencies against the new library and/or if you've
notified the maintainers of these packages (if so I've missed the mail
and I can't find a mail on appropriate lists...). Most packages I know
want to link -lcv, which is gone. Installing (the old!?) libcv-dev
package depends on a lot of new opencv_* library-packages, byt the only
pkg-config file I was able to find is in libopencv-core-dev and says

Libs: -L${libdir} -lopencv_core -lopencv_imgproc -lopencv_highgui
-lopencv_ml -lopencv_video -lopencv_features2d -lopencv_calib3d
-lopencv_objdetect -lopencv_contrib -lopencv_legacy -lopencv_flann

which sounds like all libraries are necessary anyway and could have been
packaged together????

Please provide a proper migration guide (I would have expected some
pointers in libcv-dev at least) and next time inform people earlier
about transitions.

Cheers,

Bernd


-- 
 Bernd Zeimetz                            Debian GNU/Linux Developer
 http://bzed.de                                http://www.debian.org
 GPG Fingerprints: ECA1 E3F2 8E11 2432 D485 DD95 EB36 171A 6FF9 435F




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#634797; Package release.debian.org. (Tue, 10 Jan 2012 19:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 10 Jan 2012 19:45:05 GMT) Full text and rfc822 format available.

Message #64 received at 634797@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Bernd Zeimetz <bzed@debian.org>, 634797@bugs.debian.org
Cc: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
Subject: Re: Bug#634797: opencv 2.3 transition
Date: Tue, 10 Jan 2012 20:40:17 +0100
[Message part 1 (text/plain, inline)]
On Tue, Dec 20, 2011 at 17:42:04 +0100, Bernd Zeimetz wrote:

> Hi,
> 
> > I just upload.
> > Sorry, reply was late.
> 
> I'm just wondering if you've tried to build the
> build-reverse-dependencies against the new library and/or if you've
> notified the maintainers of these packages (if so I've missed the mail
> and I can't find a mail on appropriate lists...). Most packages I know
> want to link -lcv, which is gone. Installing (the old!?) libcv-dev
> package depends on a lot of new opencv_* library-packages, byt the only
> pkg-config file I was able to find is in libopencv-core-dev and says
> 
> Libs: -L${libdir} -lopencv_core -lopencv_imgproc -lopencv_highgui
> -lopencv_ml -lopencv_video -lopencv_features2d -lopencv_calib3d
> -lopencv_objdetect -lopencv_contrib -lopencv_legacy -lopencv_flann
> 
> which sounds like all libraries are necessary anyway and could have been
> packaged together????
> 
> Please provide a proper migration guide (I would have expected some
> pointers in libcv-dev at least) and next time inform people earlier
> about transitions.
> 
So apparently this is still not resolved (or not completely?).  What's
going on here?

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#634797; Package release.debian.org. (Tue, 10 Jan 2012 21:27:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bernd Zeimetz <bzed@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 10 Jan 2012 21:27:09 GMT) Full text and rfc822 format available.

Message #69 received at 634797@bugs.debian.org (full text, mbox):

From: Bernd Zeimetz <bzed@debian.org>
To: Julien Cristau <jcristau@debian.org>
Cc: 634797@bugs.debian.org, Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
Subject: Re: Bug#634797: opencv 2.3 transition
Date: Tue, 10 Jan 2012 22:23:50 +0100
On 01/10/2012 08:40 PM, Julien Cristau wrote:
> On Tue, Dec 20, 2011 at 17:42:04 +0100, Bernd Zeimetz wrote:
> 
>> Hi,
>>
>>> I just upload.
>>> Sorry, reply was late.
>>
>> I'm just wondering if you've tried to build the
>> build-reverse-dependencies against the new library and/or if you've
>> notified the maintainers of these packages (if so I've missed the mail
>> and I can't find a mail on appropriate lists...). Most packages I know
>> want to link -lcv, which is gone. Installing (the old!?) libcv-dev
>> package depends on a lot of new opencv_* library-packages, byt the only
>> pkg-config file I was able to find is in libopencv-core-dev and says
>>
>> Libs: -L${libdir} -lopencv_core -lopencv_imgproc -lopencv_highgui
>> -lopencv_ml -lopencv_video -lopencv_features2d -lopencv_calib3d
>> -lopencv_objdetect -lopencv_contrib -lopencv_legacy -lopencv_flann
>>
>> which sounds like all libraries are necessary anyway and could have been
>> packaged together????
>>
>> Please provide a proper migration guide (I would have expected some
>> pointers in libcv-dev at least) and next time inform people earlier
>> about transitions.
>>
> So apparently this is still not resolved (or not completely?).  What's
> going on here?

Solved for gmic on Sunday - it doesn't use much from OpenCV luckily. Still
wondering why there is no sane migration way, though...

-- 
 Bernd Zeimetz                            Debian GNU/Linux Developer
 http://bzed.de                                http://www.debian.org
 GPG Fingerprint: ECA1 E3F2 8E11 2432 D485  DD95 EB36 171A 6FF9 435F




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#634797; Package release.debian.org. (Tue, 10 Jan 2012 22:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nobuhiro Iwamatsu <iwamatsu@nigauri.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 10 Jan 2012 22:21:03 GMT) Full text and rfc822 format available.

Message #74 received at 634797@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
To: Bernd Zeimetz <bzed@debian.org>
Cc: Julien Cristau <jcristau@debian.org>, 634797@bugs.debian.org
Subject: Re: Bug#634797: opencv 2.3 transition
Date: Wed, 11 Jan 2012 07:17:24 +0900
Hi, all.

2012/1/11 Bernd Zeimetz <bzed@debian.org>:
> On 01/10/2012 08:40 PM, Julien Cristau wrote:
>> On Tue, Dec 20, 2011 at 17:42:04 +0100, Bernd Zeimetz wrote:
>>
>>> Hi,
>>>
>>>> I just upload.
>>>> Sorry, reply was late.
>>>
>>> I'm just wondering if you've tried to build the
>>> build-reverse-dependencies against the new library and/or if you've
>>> notified the maintainers of these packages (if so I've missed the mail
>>> and I can't find a mail on appropriate lists...). Most packages I know
>>> want to link -lcv, which is gone. Installing (the old!?) libcv-dev
>>> package depends on a lot of new opencv_* library-packages, byt the only
>>> pkg-config file I was able to find is in libopencv-core-dev and says
>>>
>>> Libs: -L${libdir} -lopencv_core -lopencv_imgproc -lopencv_highgui
>>> -lopencv_ml -lopencv_video -lopencv_features2d -lopencv_calib3d
>>> -lopencv_objdetect -lopencv_contrib -lopencv_legacy -lopencv_flann
>>>
>>> which sounds like all libraries are necessary anyway and could have been
>>> packaged together????
>>>
>>> Please provide a proper migration guide (I would have expected some
>>> pointers in libcv-dev at least) and next time inform people earlier
>>> about transitions.
>>>
>> So apparently this is still not resolved (or not completely?).  What's
>> going on here?
>
> Solved for gmic on Sunday - it doesn't use much from OpenCV luckily. Still
> wondering why there is no sane migration way, though...
>

Sorry about this.

Opencv is divided into some libraries.
These libraries are divided for every function.
However, the pkg-config file of opencv has a form depending on all the
libraries,
and developer and user may demand a library without necessity.
Therefore, Debian, package is divided for every library and the dependency
of a library is held according to the dependency of package.
Although this is already reported to upstream with the patch, it does
not apply yet[0].

It is necessary to put libopencv-dev into build dependency to use
opencv by pkg-config.
Moreover, each library can be specified when not using pkg-config.
Although I had described this information to README.Debian, since
information was old, I updated.

Best regards,
  Nobuhiro

[0]: https://code.ros.org/trac/opencv/ticket/332

-- 
Nobuhiro Iwamatsu
   iwamatsu at {nigauri.org / debian.org}
   GPG ID: 40AD1FA6




Added blocking bug(s) of 634797: 654619, 652759, and 653799 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sun, 15 Jan 2012 09:36:54 GMT) Full text and rfc822 format available.

Added indication that bug 634797 blocks 653919 Request was from Pino Toscano <pino@debian.org> to control@bugs.debian.org. (Thu, 26 Jan 2012 09:18:18 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#634797; Package release.debian.org. (Thu, 26 Jan 2012 19:45:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 26 Jan 2012 19:45:09 GMT) Full text and rfc822 format available.

Message #83 received at 634797@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>, 634797@bugs.debian.org
Subject: Re: Bug#634797: opencv 2.3 transition
Date: Thu, 26 Jan 2012 20:40:53 +0100
On Wed, Jul 20, 2011 at 08:39:41 +0900, Nobuhiro Iwamatsu wrote:

> Package: release.debian.org
> Severity: normal
> User: release.debian.org@packages.debian.org
> Usertags: transition
> 
> Hi,
> 
> I plan to up-load opencv 2.3 to unstable.
> Because soname changes, a re-build is needed in the depending package.
> 
The migration of opencv to testing is currently blocked by #654220 and
#653157.  What's the status of those bugs?

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#634797; Package release.debian.org. (Mon, 30 Jan 2012 04:45:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nobuhiro Iwamatsu <iwamatsu@nigauri.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 30 Jan 2012 04:45:10 GMT) Full text and rfc822 format available.

Message #88 received at 634797@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
To: Julien Cristau <jcristau@debian.org>
Cc: 634797@bugs.debian.org, 653157@bugs.debian.org
Subject: Re: Bug#634797: opencv 2.3 transition
Date: Mon, 30 Jan 2012 13:27:09 +0900
Hi,

2012/1/27 Julien Cristau <jcristau@debian.org>:
> On Wed, Jul 20, 2011 at 08:39:41 +0900, Nobuhiro Iwamatsu wrote:
>
>> Package: release.debian.org
>> Severity: normal
>> User: release.debian.org@packages.debian.org
>> Usertags: transition
>>
>> Hi,
>>
>> I plan to up-load opencv 2.3 to unstable.
>> Because soname changes, a re-build is needed in the depending package.
>>
> The migration of opencv to testing is currently blocked by #654220 and
> #653157.  What's the status of those bugs?
>

I just upload 2.3.1-5. This revised #654220.

About #653157, gnome-mousetrap does not operate in curent code,
becasue API of OpenCV was changed  a lot.
For example, LoadHaarClassifierCascade stops using python and becomes
the following codes.

---
import cv
import cv2
c = cv2.CascadeClassifier('haarcascade.xml')
---

This problem needs to fix by upstream of gnome-mousetrap.

Best regards,
  Nobuhiro
-- 
Nobuhiro Iwamatsu
   iwamatsu at {nigauri.org / debian.org}
   GPG ID: 40AD1FA6




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#634797; Package release.debian.org. (Mon, 30 Jan 2012 18:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 30 Jan 2012 18:45:03 GMT) Full text and rfc822 format available.

Message #93 received at 634797@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
Cc: 653157-done@bugs.debian.org, 634797@bugs.debian.org
Subject: Re: Bug#634797: opencv 2.3 transition
Date: Mon, 30 Jan 2012 19:43:37 +0100
[Message part 1 (text/plain, inline)]
On Mon, Jan 30, 2012 at 13:27:09 +0900, Nobuhiro Iwamatsu wrote:

> About #653157, gnome-mousetrap does not operate in curent code,
> becasue API of OpenCV was changed  a lot.
> For example, LoadHaarClassifierCascade stops using python and becomes
> the following codes.
> 
> ---
> import cv
> import cv2
> c = cv2.CascadeClassifier('haarcascade.xml')
> ---
> 
> This problem needs to fix by upstream of gnome-mousetrap.
> 
Alright, closing that bug then.  The gnome-mousetrap issues are tracked
in #655930.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#634797; Package release.debian.org. (Mon, 06 Feb 2012 21:25:52 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Ariel Garcia (SCC)" <garcia@kit.edu>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 06 Feb 2012 21:25:53 GMT) Full text and rfc822 format available.

Message #98 received at 634797@bugs.debian.org (full text, mbox):

From: "Ariel Garcia (SCC)" <garcia@kit.edu>
To: 634797@bugs.debian.org
Cc: 653919@bugs.debian.org
Subject: Transition priorities?
Date: Mon, 6 Feb 2012 22:00:23 +0100
Hi all,

i was amazed to discover that the whole KDE SC 4.7 transition into unstable 
requested the 1st of Jan 2012 is blocked by (the opencv transition which 
was itself requested/started on July 2011, itself blocked by) a few 
completely "minor" packages like
   mrpt-libs scilab-sivp freej gmic frei0r-plugins

which FTBFS with the latest opencv.

I know i could/should contribute to speed things up ;-)  but anyways
please let me make my point as a long term Debian user/fan :-)

IMHO it seems an unreasonable situation, which doesn't do a favor to 
Debian, its users, nor to the Debian-KDE maintainers which worked hard 
on the transition. It is obvious that thousands of people are eagerly 
waiting for KDE SC 4.7 and 4.8 now also in Debian, and holding that 
just due to some "almost irrelevant" packages that most of the users don't 
even heard of looks silly.
Why not move those packages out of unstable into experimental if they don't 
get fixed, and let the KDE transition continue? most of these packages are 
not even in testing... 

My 2.5cts :-)

Ariel




Removed blocking bug(s) of 634797: 631822 Request was from Pino Toscano <pino@debian.org> to control@bugs.debian.org. (Sat, 11 Feb 2012 00:27:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#634797; Package release.debian.org. (Fri, 17 Feb 2012 00:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 17 Feb 2012 00:36:04 GMT) Full text and rfc822 format available.

Message #105 received at 634797@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Jaromil <jaromil@dyne.org>
Cc: Michael Biebl <biebl@debian.org>, shammash@artha.org, 634797@bugs.debian.org, 652759@bugs.debian.org
Subject: Re: RFS: frei0r-plugins (upstream 1.3)
Date: Fri, 17 Feb 2012 01:34:30 +0100
[Message part 1 (text/plain, inline)]
Hi,

Jaromil <jaromil@dyne.org> (15/02/2012):
> I'm on the task of packaging a new 1.4 upstream release and while
> doing so I will keep an eye on the list of issues you are mentioning
> here.

any chance we could get a fixed 1.3 package or so? It would greatly help
going forward in the opencv transition, and once everyone migrates, you
should be free to get your hands on 1.4 or higher.

As can be seen on [1] (don't forget to check “good”), frei0r is AFAICT
the only remaining blocker for that transition (meaning both “bad” and
not “sid only”), so a fix for #652759 ASAP would be very welcome.

 1. http://release.debian.org/transitions/html/opencv.html

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#634797; Package release.debian.org. (Wed, 29 Feb 2012 02:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 29 Feb 2012 02:12:03 GMT) Full text and rfc822 format available.

Message #110 received at 634797@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Jaromil <jaromil@dyne.org>
Cc: shammash@artha.org, 634797@bugs.debian.org, 652759@bugs.debian.org
Subject: Re: Fwd: Re: RFS: frei0r-plugins (upstream 1.3)
Date: Wed, 29 Feb 2012 03:08:48 +0100
[Message part 1 (text/plain, inline)]
Hi again,

On 15.02.2012 12:13, Jaromil wrote:

> 
> On Wed, 15 Feb 2012, Michael Biebl wrote:

>> any chance you could have a look at frei0r-plugins?
> 
> I'm on the task of packaging a new 1.4 upstream release and while doing so
> I will keep an eye on the list of issues you are mentioning here.

since two weeks have passed since our last conversation, I'm wondering
if you have made any progress? If a 1.4 release takes more time, would
it be possible for you to fix the issues I outlined in my email to
debian-mentors and we upload a 1.3-1 in the mean time?

Cheers,
Michael


-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Reply sent to Cyril Brulebois <kibi@debian.org>:
You have taken responsibility. (Tue, 06 Mar 2012 04:27:07 GMT) Full text and rfc822 format available.

Notification sent to Nobuhiro Iwamatsu <iwamatsu@nigauri.org>:
Bug acknowledged by developer. (Tue, 06 Mar 2012 04:27:08 GMT) Full text and rfc822 format available.

Message #115 received at 634797-done@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>, 634797-done@bugs.debian.org
Subject: Re: Bug#634797: opencv 2.3 transition
Date: Tue, 6 Mar 2012 05:23:29 +0100
[Message part 1 (text/plain, inline)]
Hi,

Nobuhiro Iwamatsu <iwamatsu@nigauri.org> (20/07/2011):
> I plan to up-load opencv 2.3 to unstable.

old binaries got removed from testing with the last britney run, so
closing this bug report.

> - mrpt / FTBFS #625075
> - sivp /  FTBFS with opencv 2.3. #634796

Those two remain unfixed, but are sid-only.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 03 Apr 2012 07:55:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 03:20:10 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.